> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a manual journal entry

> Get a manual journal entry with given id for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/accounting/manualJournalEntry
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accounting/manualJournalEntry:
    get:
      tags:
        - Accounting
      summary: Get a manual journal entry
      description: Get a manual journal entry with given id for the authenticated user
      operationId: getManualJournalEntry
      parameters:
        - name: id
          in: query
          description: Id of the specific manual journal entry
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManualJournalEntryGetDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    ManualJournalEntryGetDTOV5:
      required:
        - date
        - description
        - transactions
      type: object
      properties:
        id:
          type: integer
          description: >-
            Id of the journal entry, required when updating an existing journal
            entry
          format: int64
        description:
          type: string
          description: Description of this journal entry
        date:
          type: string
          description: Date the transactions comprising this journal entry occurred
          format: date-time
        entryDate:
          type: string
          description: Date this journal entry was created
          format: date-time
        frequency:
          type: string
          description: Frequency of the journal entry
          example: ONE_TIME
          enum:
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
        isParent:
          type: boolean
          description: >-
            Whether this journal entry is a parent to recurring journal entries.
            Parent journal entries generally should not be directly displayed to
            the user, as its children are more pertinent and displaying both
            results in double counting.
          readOnly: true
        recurringParentId:
          type: integer
          description: >-
            Id of the recurring parent journal entry; populated if this journal
            entry is recurring
          format: int64
          readOnly: true
        transactions:
          type: array
          description: >-
            List of accounting transactions comprising this entry. The total of
            all drAmounts must sum to the total of all crAmounts.
          items:
            $ref: '#/components/schemas/GlTranConciseDTOV5'
        apiEntryId:
          type: string
          description: Id of the journal entry record in your DB
    GlTranConciseDTOV5:
      required:
        - glAccountId
      type: object
      properties:
        glAccountId:
          type: integer
          description: GL account id, referencing an account in the chart of accounts
          format: int64
        drAmount:
          type: number
          description: Accounting debit amount; either drAmount or crAmount is required
        crAmount:
          type: number
          description: Accounting credit amount; either drAmount or crAmount is required
      description: >-
        List of accounting transactions comprising this entry. The total of all
        drAmounts must sum to the total of all crAmounts.
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````